View Issue Details

IDProjectCategoryView StatusLast Update
0005013Talerbank (demonstrator)public2017-06-06 14:20
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005013: Refine error reporting
DescriptionThe function wire_transfer() in talerbank/app/views.py dies with CurrencyMismatchException
both if the amount to be transferred has a currency different from the one used by the bank
and if the bank has internal currency inconsistencies (for example MAX_DEBT has a currency
other than the one used by the bank).

This way is impossible to distingush between an error caused by the client using some API
and a bank's internal error. Error reporting should then distinguish between these cases
and react accordingly.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-05-23 14:31

manager   ~0012147

Opened a '5013' branch.

Marcello Stanisci

2017-05-23 15:54

manager   ~0012148

Implemented and tested in 5ff47db. A testcase for erroneous requests/configurations should be put in place.

Marcello Stanisci

2017-05-24 15:02

manager   ~0012155

Waiting for 0.3 to be released before merging this branch into master.

Marcello Stanisci

2017-05-29 13:43

manager   ~0012182

merged @ 05d86a1. Did NOT activate the faulty testcases.

Issue History

Date Modified Username Field Change
2017-05-16 11:31 Marcello Stanisci New Issue
2017-05-16 11:31 Marcello Stanisci Status new => assigned
2017-05-16 11:31 Marcello Stanisci Assigned To => Marcello Stanisci
2017-05-16 11:33 Marcello Stanisci Description Updated View Revisions
2017-05-23 14:31 Marcello Stanisci Note Added: 0012147
2017-05-23 15:54 Marcello Stanisci Note Added: 0012148
2017-05-24 15:02 Marcello Stanisci Note Added: 0012155
2017-05-29 13:43 Marcello Stanisci Status assigned => resolved
2017-05-29 13:43 Marcello Stanisci Resolution open => fixed
2017-05-29 13:43 Marcello Stanisci Note Added: 0012182
2017-06-06 14:20 Christian Grothoff Status resolved => closed
2017-06-06 14:20 Christian Grothoff Product Version => SVN HEAD
2017-06-06 14:20 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:20 Christian Grothoff Target Version => 0.3